httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yann Ylavic <ylavic....@gmail.com>
Subject Re: [users@httpd] Trouble upgrading to 2.2.29 from 2.2.8 - mod_deflate error
Date Sat, 01 Nov 2014 21:47:44 GMT
Hello Christopher,

there seem to be an old APR library (< v1.3.0) installed on your
system (/usr/local/apache2/include?).

What ./configure options did you use?
You probably need to compile (and run) with the APR embedded in the
httpd-2.2.29 archive using: ./configure --with-included-apr ....
At runtime, it might also be necessary to link with this newly
installed APR using something like LD_LIBRARY.

Regards,
Yann.

On Thu, Oct 30, 2014 at 8:10 PM, Christopher Stanley
<chris@stanleynetworks.net> wrote:
> Hey guys!
>
> I am having trouble upgrading from Apache 2.2.8 -> 2.2.29 with the following
> error occurring after running 'make'
>
> /usr/local/apache2/build/libtool --silent --mode=compile gcc -g -O2 -pthread
> -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE
> -I/opt/vignette/software/apache/srclib/pcre -I.
> -I/opt/vignette/software/apache/os/unix
> -I/opt/vignette/software/apache/server/mpm/prefork
> -I/opt/vignette/software/apache/modules/http
> -I/opt/vignette/software/apache/modules/filters
> -I/opt/vignette/software/apache/modules/proxy
> -I/opt/vignette/software/apache/include
> -I/opt/vignette/software/apache/modules/generators
> -I/opt/vignette/software/apache/modules/mappers
> -I/opt/vignette/software/apache/modules/database
> -I/usr/local/apache2/include
> -I/opt/vignette/software/apache/modules/proxy/../generators
> -I/usr/kerberos/include -I/opt/vignette/software/apache/modules/ssl
> -I/opt/vignette/software/apache/modules/dav/main  -prefer-non-pic -static -c
> mod_deflate.c && touch mod_deflate.lo
> mod_deflate.c: In function `deflate_out_filter':
> mod_deflate.c:790: error: `APR_INT32_MAX' undeclared (first use in this
> function)
> mod_deflate.c:790: error: (Each undeclared identifier is reported only once
> mod_deflate.c:790: error: for each function it appears in.)
> mod_deflate.c: In function `deflate_in_filter':
> mod_deflate.c:1165: error: `APR_INT32_MAX' undeclared (first use in this
> function)
> mod_deflate.c: In function `inflate_out_filter':
> mod_deflate.c:1550: error: `APR_INT32_MAX' undeclared (first use in this
> function)
> make[3]: *** [mod_deflate.lo] Error 1
> make[3]: Leaving directory
> `/opt/vignette/software/httpd-2.2.29/modules/filters'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory
> `/opt/vignette/software/httpd-2.2.29/modules/filters'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/opt/vignette/software/httpd-2.2.29/modules'
> make: *** [all-recursive] Error 1
>
> I am running RHEL4 (I know it's bad)
>
> Any help would be much appreciated!
>
> Thanks!

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message